Package org.eclipse.graphiti.mm.pictograms

## Interface PictogramElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Subinterfaces:
  `AdvancedAnchor`, `Anchor`, `AnchorContainer`, `BoxRelativeAnchor`, `ChopboxAnchor`, `CompositeConnection`, `Connection`, `ConnectionDecorator`, `ContainerShape`, `CurvedConnection`, `Diagram`, `FixPointAnchor`, `FreeFormConnection`, `ManhattanConnection`, `Shape`

All Known Implementing Classes:
  `AdvancedAnchorImpl`, `AnchorContainerImpl`, `AnchorImpl`, `BoxRelativeAnchorImpl`, `ChopboxAnchorImpl`, `CompositeConnectionImpl`, `ConnectionDecoratorImpl`, `ConnectionImpl`, `ContainerShapeImpl`, `CurvedConnectionImpl`, `DiagramImpl`, `FixPointAnchorImpl`, `FreeFormConnectionImpl`, `ManhattanConnectionImpl`, `PictogramElementImpl`, `ShapeImpl`

    public interface PictogramElement
    extends GraphicsAlgorithmContainer

A representation of the model object 'Pictogram Element'.

The following features are supported:

- `Visible`
- `Graphics Algorithm`
- `Active`
- `Link`

See Also:
  `PictogramsPackage.getPictogramElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`GraphicsAlgorithm` `getGraphicsAlgorithm()` Returns the value of the 'Graphics Algorithm' containment reference.
`PictogramLink` `getLink()` Returns the value of the 'Link' containment reference.
`boolean` `isActive()` Returns the value of the 'Active' attribute.
`boolean` `isVisible()` Returns the value of the 'Visible' attribute.
`void` `setActive​(boolean value)` Sets the value of the '`Active`' attribute.
`void` `setGraphicsAlgorithm​(GraphicsAlgorithm value)` Sets the value of the '`Graphics Algorithm`' containment reference.
`void` `setLink​(PictogramLink value)` Sets the value of the '`Link`' containment reference.
`void` `setVisible​(boolean value)` Sets the value of the '`Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Method Detail

#### isVisible

    boolean isVisible()

Returns the value of the 'Visible' attribute.

This method is reserved for future usage and is currently not supported by the framework.

Returns:
  the value of the 'Visible' attribute.
See Also:
  `setVisible(boolean)`, `PictogramsPackage.getPictogramElement_Visible()`

#### setVisible

    void setVisible​(boolean value)

Sets the value of the '`Visible`' attribute.

This method is reserved for future usage and is currently not supported by the framework.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  `isVisible()`

#### getGraphicsAlgorithm

    GraphicsAlgorithm getGraphicsAlgorithm()

Returns the value of the 'Graphics Algorithm' containment reference. It is bidirectional and its opposite is '`Pictogram Element`'.

If the meaning of the 'Graphics Algorithm' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Graphics Algorithm' containment reference.
See Also:
  `setGraphicsAlgorithm(GraphicsAlgorithm)`, `PictogramsPackage.getPictogramElement_GraphicsAlgorithm()`, `GraphicsAlgorithm.getPictogramElement()`

#### setGraphicsAlgorithm

    void setGraphicsAlgorithm​(GraphicsAlgorithm value)

Sets the value of the '`Graphics Algorithm`' containment reference.

Parameters:
  `value` - the new value of the 'Graphics Algorithm' containment reference.
See Also:
  `getGraphicsAlgorithm()`

#### isActive

    boolean isActive()

Returns the value of the 'Active' attribute.

If the meaning of the 'Active' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Active' attribute.
See Also:
  `setActive(boolean)`, `PictogramsPackage.getPictogramElement_Active()`

#### setActive

    void setActive​(boolean value)

Sets the value of the '`Active`' attribute.

Parameters:
  `value` - the new value of the 'Active' attribute.
See Also:
  `isActive()`

#### getLink

    PictogramLink getLink()

Returns the value of the 'Link' containment reference. It is bidirectional and its opposite is '`Pictogram Element`'.

If the meaning of the 'Link' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Link' containment reference.
See Also:
  `setLink(PictogramLink)`, `PictogramsPackage.getPictogramElement_Link()`, `PictogramLink.getPictogramElement()`

#### setLink

    void setLink​(PictogramLink value)

Sets the value of the '`Link`' containment reference.

Parameters:
  `value` - the new value of the 'Link' containment reference.
See Also:
  `getLink()`